Bug 170449 - [NEW PORT] sysutils/libfvde: Library and tools for reading FileVault (FVDE) encrypted volumes
Summary: [NEW PORT] sysutils/libfvde: Library and tools for reading FileVault (FVDE) e...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 14:00 UTC by koobs
Modified: 2012-08-09 01:50 UTC (History)
0 users

See Also:


Attachments
.shar (2.33 KB, text/plain)
2012-08-07 14:00 UTC, koobs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-08-07 14:00:07 UTC
Library and tools for reading FileVault2 Drive Encryption (FVDE) encrypted
volumes. The FVDE format is used by MacOS-X, as of Lion, to encrypt data
on a storage media volume.

Supported FVDE formats:

    FileVault2 Lion 

Supported protection methods:

    password
    recovery password 

WWW:	https://code.google.com/p/libfvde/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Jason Helfman freebsd_committer 2012-08-07 15:52:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-09 01:46:24 UTC
Author: jgh
Date: Thu Aug  9 00:46:10 2012
New Revision: 302316
URL: http://svn.freebsd.org/changeset/ports/302316

Log:
  add new port: sysutils/libfvde
  
  Library and tools for reading FileVault2 Drive Encryption (FVDE) encrypted
  volumes. The FVDE format is used by MacOS-X, as of Lion, to encrypt data
  on a storage media volume.
  
  Supported FVDE formats:
  
      FileVault2 Lion
  
  Supported protection methods:
  
      password
      recovery password
  
  WWW:	https://code.google.com/p/libfvde/
  
  PR:	170449
  Submitted by:	koobs.freebsd@gmail.com

Added:
  head/sysutils/libfvde/
  head/sysutils/libfvde/Makefile   (contents, props changed)
  head/sysutils/libfvde/distinfo   (contents, props changed)
  head/sysutils/libfvde/pkg-descr   (contents, props changed)
  head/sysutils/libfvde/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Thu Aug  9 00:45:15 2012	(r302315)
+++ head/sysutils/Makefile	Thu Aug  9 00:46:10 2012	(r302316)
@@ -456,6 +456,7 @@
     SUBDIR += lfm
     SUBDIR += libcdio
     SUBDIR += libchk
+    SUBDIR += libfvde
     SUBDIR += libgksu
     SUBDIR += libieee1284
     SUBDIR += libpcbsd

Added: head/sysutils/libfvde/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/libfvde/Makefile	Thu Aug  9 00:46:10 2012	(r302316)
@@ -0,0 +1,26 @@
+# New ports collection makefile for:	libfvde
+# Date created:		07 August 2012
+# Whom:			Kubilay Kocak <koobs.freebsd@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	libfvde
+PORTVERSION=	20120519
+CATEGORIES=	sysutils
+MASTER_SITES=	GOOGLE_CODE
+DISTFILES=	${PORTNAME}-experimental-${PORTVERSION}${EXTRACT_SUFX}
+
+MAINTAINER=	koobs.freebsd@gmail.com
+COMMENT=	Library and tools for reading FileVault (FVDE) encrypted volumes
+
+LICENSE=	LGPL3
+
+GNU_CONFIGURE=	yes
+USE_GNOME=	libxml2 gnomehack
+USE_LDCONFIG=	yes
+
+MAN1=	bdeinfo.1 bdemount.1
+MAN3=	libbde.3
+
+.include <bsd.port.mk>

Added: head/sysutils/libfvde/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/libfvde/distinfo	Thu Aug  9 00:46:10 2012	(r302316)
@@ -0,0 +1,2 @@
+SHA256 (libfvde-experimental-20120519.tar.gz) = fb819f6d5f6bb1010561e0fd2e4c379560132e0049fc4e7ffb4dcedf3f5198ea
+SIZE (libfvde-experimental-20120519.tar.gz) = 993132

Added: head/sysutils/libfvde/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/libfvde/pkg-descr	Thu Aug  9 00:46:10 2012	(r302316)
@@ -0,0 +1,14 @@
+Library and tools for reading FileVault2 Drive Encryption (FVDE) encrypted
+volumes. The FVDE format is used by MacOS-X, as of Lion, to encrypt data
+on a storage media volume.
+
+Supported FVDE formats:
+
+    FileVault2 Lion 
+
+Supported protection methods:
+
+    password
+    recovery password 
+
+WWW:	https://code.google.com/p/libfvde/

Added: head/sysutils/libfvde/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/libfvde/pkg-plist	Thu Aug  9 00:46:10 2012	(r302316)
@@ -0,0 +1,17 @@
+@comment $FreeBSD$
+bin/fvdeinfo
+bin/fvdemount
+include/libfvde.h
+include/libfvde/codepage.h
+include/libfvde/definitions.h
+include/libfvde/error.h
+include/libfvde/extern.h
+include/libfvde/features.h
+include/libfvde/types.h
+lib/libfvde.so.1
+lib/libfvde.so
+lib/libfvde.la
+lib/libfvde.a
+libdata/pkgconfig/libfvde.pc
+@dirrmtry lib/pkgconfig
+@dirrm include/libfvde
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-09 01:46:25 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!